Pod::Plainer(3)

NAME
Pod::Plainer - Perl extension for converting Pod to old-style Pod.

SYNOPSIS
  use Pod::Plainer;

  my $parser = Pod::Plainer -> new ();
  $parser -> parse_from_filehandle(\*STDIN);

DESCRIPTION
Pod::Plainer uses Pod::Parser which takes Pod with the (new) 'C<< .. >>' constructs and returns the old(er) style with just 'C<>'; '<' and '>' are replaced by 'E<lt>' and 'E<gt>'.

This can be used to pre-process Pod before using tools which do not recognise the new style Pods.

  METHODS

escape_ltgt
    Replace '<' and '>' by 'E<lt>' and 'E<gt>'.

simple_delimiters
    Replace delimiters by '<' and '>'.

textblock
    Redefine "textblock" from Pod::Parser to use "escape_ltgt" and "simple_delimiters".

  EXPORT
None by default.

AUTHOR
Robin Barker, rmbarker@cpan.org

SEE ALSO
See Pod::Parser.

COPYRIGHT AND LICENSE
Copyright (C) 2009 by Robin Barker

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.1 or, at your option, any later version of Perl 5 you may have available.